> For the complete documentation index, see [llms.txt](https://developer.sahamati.org.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/observability-attributes/fip-api-attributes.md).

# FIP API Attributes

#### /Accounts/discover

* **Request Attributes**:&#x20;
  * `hash(Customer.id)` – A hashed identifier of the customer generated during the registration with AA, ensuring privacy while identifying the user.
* **Response Attributes**:&#x20;
  * `Count(DiscoveredAccounts)` – The count of accounts discovered for the customer.

#### /Accounts/link

* **Request Attributes**:&#x20;
  * `hash(Customer.id)` – A hashed identifier of the customer generated during the registration with AA, ensuring privacy while identifying the user..
* **Response Attributes**:&#x20;
  * `RefNumber` – A Temporary reference number generated by FIP for the account linking request.

#### /Accounts/delink

* **Request Attributes**:&#x20;
  * `hash(Account.customerAddress)` – A hashed identifier of the Customer generated during the registration with AA.
* **Response Attributes**:

  * `AccLinkDetails.linkRefNumber` – Link reference number associated with the account linkage assigned by FIP.
  * `AccLinkDetails.status` – Current status of the account linkage (e.g. DELINKED).
  * `AccLinkDetails.customerAddress` – Identifier of the Customer generated during the registration with AA.

#### /Accounts/link/verify

* **Request Attributes**:
  * `refNumber` – The reference number of the account linking request.
* **Response Attributes**:
  * `Count(AccLinkDetails)` – Number of linked accounts details.
  * `AccLinkDetails[*].linkRefNumber` – Link reference numbers of individual accounts.
  * `AccLinkDetails[*].status` – Status of each linked account.
  * `hash(Customer.id)` – Hashed identifier of the customer.

#### /Consent

* **Request Attributes**:
  * `consentId` – Unique identifier of the consent being created or managed.
  * `status` – Current state of the consent (e.g., PAUSED, ACTIVE, REVOKED, EXPIRED).
* **Response Attributes**: None.

#### /Consent/Notification

* **Request Attributes**:
  * `ConsentStatusNotification.consentId` – Identifier of the consent whose status is being notified.
  * `ConsentStatusNotification.consentStatus` – Current status of the consent (e.g. PAUSED, ACTIVE, REVOKED, EXPIRED).
* **Response Attributes**: None.

#### /FI/request

* **Request Attributes**:
  * `Consent.id` – Identifier of the consent under which the FI request is made.
* **Response Attributes**:
  * `consentId` – Unique identifier for the consent, returned as part of the response.
  * `sessionId` – Unique identifier for the FI data request session created.

#### /FI/fetch

* **Request Attributes**:
  * `sessionId` – Unique identifier of the FI data request session, used to fetch the financial information.
* **Response Attributes**: None.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/observability-attributes/fip-api-attributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
